| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
SCSI_Inquiry_Response_t Struct Reference
Common Class Definitions

Mass Storage Class SCSI Inquiry Structure. More...

`#include <MassStorageClassCommon.h>`

## Data Fields
uint8_t | AdditionalLength
unsigned | AERC: 1
unsigned | CmdQue: 1
unsigned | DeviceType: 5
unsigned | Linked: 1
unsigned | NormACA: 1
unsigned | PeripheralQualifier: 3
uint8_t | ProductID [16]
unsigned | RelAddr: 1
unsigned | Removable: 1
unsigned | Reserved: 7
unsigned | Reserved2: 1
uint8_t | Reserved3 [2]
unsigned | Reserved4: 1
unsigned | ResponseDataFormat: 4
uint8_t | RevisionID [4]
unsigned | SoftReset: 1
unsigned | Sync: 1
unsigned | TrmTsk: 1
uint8_t | VendorID [8]
uint8_t | Version
unsigned | WideBus16Bit: 1
unsigned | WideBus32Bit: 1

## Detailed Description

Type define for a SCSI Inquiry structure. Structures of this type are filled out by the device via the MS_Host_GetInquiryData() function, retrieving the attached device's information.

For details of the structure contents, refer to the SCSI specifications.

## Field Documentation

uint8_t SCSI_Inquiry_Response_t::AdditionalLength

unsigned SCSI_Inquiry_Response_t::AERC

unsigned SCSI_Inquiry_Response_t::CmdQue

unsigned SCSI_Inquiry_Response_t::DeviceType

unsigned SCSI_Inquiry_Response_t::Linked

unsigned SCSI_Inquiry_Response_t::NormACA

unsigned SCSI_Inquiry_Response_t::PeripheralQualifier

uint8_t SCSI_Inquiry_Response_t::ProductID[16]

unsigned SCSI_Inquiry_Response_t::RelAddr

unsigned SCSI_Inquiry_Response_t::Removable

unsigned SCSI_Inquiry_Response_t::Reserved

unsigned SCSI_Inquiry_Response_t::Reserved2

uint8_t SCSI_Inquiry_Response_t::Reserved3[2]

unsigned SCSI_Inquiry_Response_t::Reserved4

unsigned SCSI_Inquiry_Response_t::ResponseDataFormat

uint8_t SCSI_Inquiry_Response_t::RevisionID[4]

unsigned SCSI_Inquiry_Response_t::SoftReset

unsigned SCSI_Inquiry_Response_t::Sync

unsigned SCSI_Inquiry_Response_t::TrmTsk

uint8_t SCSI_Inquiry_Response_t::VendorID[8]

uint8_t SCSI_Inquiry_Response_t::Version

unsigned SCSI_Inquiry_Response_t::WideBus16Bit

unsigned SCSI_Inquiry_Response_t::WideBus32Bit

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/MassStorageClassCommon.h